package datastructures;

public class Knoop<K extends Comparable<K>, V> 
{
	private K key;
	private V value;
	private Knoop<K, V> links;
	private Knoop<K, V> rechts;

	public Knoop(K key, V value, Knoop<K, V> links, Knoop<K, V> rechts) {
		this.key = key;
		this.value = value;
		this.links = links;
		this.rechts = rechts;
	}

	public K getKey() {
		return key;
	}

	public void setKey(K key) {
		this.key = key;
	}

	public V getValue() {
		return value;
	}

	public void setValue(V value) {
		this.value = value;
	}

	public Knoop<K, V> getLinks() {
		return links;
	}

	public void setLinks(Knoop<K, V> links) {
		this.links = links;
	}

	public Knoop<K, V> getRechts() {
		return rechts;
	}

	public void setRechts(Knoop<K, V> rechts) {
		this.rechts = rechts;
	}
	
}
