package io;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

import types.Rooster;
import types.Roosters;

public class RoosterParser
{
	private BufferedReader in;

	public RoosterParser(File roosterFile) throws FileNotFoundException
	{
		in = new BufferedReader(new FileReader(roosterFile));
	}

	public Roosters leesRoosters() throws IOException
	{

		Roosters roosters = new Roosters();

		String[] comp;
		for (String regel = in.readLine(); regel != null; regel = in.readLine())
		{
			comp = regel.split(",");
			roosters.add(new Rooster(Integer.parseInt(comp[0]), Integer
					.parseInt(comp[1]), Integer.parseInt(comp[2]), Integer
					.parseInt(comp[3])));
		}
		return roosters;
	}
}
