package types;

import datastructures.ZoekBoom;

/**
 * Deze klasse slaat de diensten op in verschillende datastructuren, zodat de data
 * later snel op basis van verschillende keys kan worden teruggevonden.
 * @author Pieter van Ede
 */
public class Diensten
{
	private ZoekBoom<Integer, Dienst> dagNummerNaarDienst;

	public Diensten() 
	{
		dagNummerNaarDienst = new ZoekBoom<Integer, Dienst>();
	}

	public void add(Dienst dienst)
	{
		dagNummerNaarDienst.add(dienst.getDagNummer(), dienst);
	}

	public ZoekBoom<Integer, Dienst> getDagNummerNaarDienst() {
		return dagNummerNaarDienst;
	}
}
