package types;

public class RoosterInformatie 
{
	private double[][] informatie;
	private int werkdagen;
	
	public RoosterInformatie (int aantalRegels)
	{
		informatie = new double[aantalRegels][2];
	}
	
	public double getWerkMinuten(int regel) 
	{
		return informatie[regel][0];
	}
	
	public void setWerkMinuten(int regel, double minuten) 
	{
		this.informatie[regel][0] = minuten;
	}
	
	public double getWekelijkseRust(int regel)
	{
		return informatie[regel][1];
	}
	
	public void setWekelijkseRust(int regel, double minuten)
	{
		this.informatie[regel][1] = minuten;
	}
	
	public int getWerkdagen()
	{
		return werkdagen;
	}
	
	public void setWerkdagen(int aantalWerkdagen) 
	{
		this.werkdagen = aantalWerkdagen;
	}
}
